org.deidentifier.arx.framework.check

## Class TransformationApplicator

- java.lang.Object
- - org.deidentifier.arx.framework.check.TransformationApplicator

    public class TransformationApplicator
    extends java.lang.Object

This class applies a transformation to the dataset.

Author:
  Fabian Prasser, Florian Kohlmayer

### Constructor Summary

Constructors
Constructor and Description
`TransformationApplicator(DataManager manager, DataMatrix buffer, Metric<?> metric, ARXConfiguration.ARXConfigurationInternal config)` Creates a new transformation applicator instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`TransformedData` `applyTransformation(Transformation<?> transformation)` Applies the given transformation and returns the dataset
`TransformedData` `applyTransformation(Transformation<?> transformation, Dictionary microaggregationDictionary)` Applies the given transformation and returns the dataset

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TransformationApplicator

    public TransformationApplicator(DataManager manager,
                                    DataMatrix buffer,
                                    Metric<?> metric,
                                    ARXConfiguration.ARXConfigurationInternal config)

Creates a new transformation applicator instance.

Parameters:
  `manager` - The manager
  `buffer` - The buffer
  `metric` - The metric
  `config` - The configuration

### Method Detail

#### applyTransformation

    public TransformedData applyTransformation(Transformation<?> transformation)

Applies the given transformation and returns the dataset

Parameters:
  `transformation` -
Returns:

#### applyTransformation

    public TransformedData applyTransformation(Transformation<?> transformation,
                                               Dictionary microaggregationDictionary)

Applies the given transformation and returns the dataset

Parameters:
  `transformation` -
  `microaggregationDictionary` - A dictionary for microaggregated values
Returns: